#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Mysql;
use Vhffs::Panel::Mysql;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 2 )
{
         print "Error ! Exec this script as it : create_mysql base user pass";
         print "Example : create_mysql soda prout";
}


$user = new Vhffs::User( $princ , "soda" , 401) ;
my $group = new Vhffs::Group( $princ , "soda" , 401) ;


my $sql = Vhffs::Panel::Mysql::create_mysql( $princ , "$ARGV[0]" , $user,$group,$ARGV[1],$ARGV[2]);

if( defined $sql )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}
