#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Panel::Group;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
	print "Error !  Join a group with  : join_group groupname";
	print "Example : join_group group";
}


$user = new Vhffs::User( $princ , "sodalol" , 401) ;

my $group = Vhffs::Panel::Group::create_group( $ARGV[0] , $user , $princ );

if( ! defined $group)
{
	print "can't add to this group";
}
else
{
	$group->set_description( "blablabla" );
	$group->commit;
	print "Sucessfully add to this group";
}


exit;
