#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Acl;
use Vhffs::Services::Httpd;
use Vhffs::Panel::Group;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


my $group = new Vhffs::Group( $princ , $ARGV[0] , 401) ;

$group->Vhffs::Group::fetch;

print Dumper $group;

print $group->get_description;

