#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Acl;
use Vhffs::Services::Httpd;
use Vhffs::Panel::Group;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


$user = new Vhffs::User( $princ , "soda" , 401) ;

my $lol = Vhffs::Panel::Group::getall_groups_per_user( $user , $princ );

foreach( keys ( %{$lol} ) )
{
	print $_;
}
